<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Slegal Admin</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<%= base_url %>plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="<%= base_url %>plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="<%= base_url %>plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="<%= base_url %>plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="<%= base_url %>dist/css/adminlte.min.css">
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
 
  <!-- /.navbar -->



  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
          
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
            
             
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title">Expertise</h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <form>
                    <div class="form-group">
                        
                        <div class="form-group">
                            <label for="Duration">Nom du bon d'achat</label>
                            <input type="text" class="form-control" id="vname" placeholder="Enter field value" >
                        </div>
                        <div class="form-group">
                            <label for="Duration">Code du bon d'achat</label>
                            <input type="text" class="form-control" id="vcode" placeholder="Enter field value" >
                        </div>
                        <div class="form-group">
                            <label for="Duration">Distributeur</label>
                            <select  class="form-control" id="vdist" >
                              <% diss.map((dis)=>{ %>
                                <option value="<%= dis.name%>"><%= dis.name %></option>
                            <%  }) %>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="Duration">Période d'utilisation du bon d'achat</label>
                           <div class="" style="height:50px;margin:5px">
                            <input type="date" class="" id="start_date" placeholder="Enter field value"  style="margin-left:50px;margin-right:50px;border-radius: 5px;" >->
                            <input type="date" class="" id="end_date" placeholder="Enter field value"  style="margin-left:50px;margin-right:50px;border-radius: 5px;">
                           </div>
                        </div>
                        <div class="form-group">
                            <label for="Duration">Limite d'utilisation</label>
                            <input type="text" class="form-control" id="vlimit" placeholder="Enter field value" >
                        </div>
                        <div class="form-group">
                            <label for="Duration">Type de bon d'achat</label>
                            <div class="form-group"> <input type="radio" name="vtype" class="form-control" value="amount" style="margin-top:20px;width:50px;height:20px;display:inline;margin-right:5px"/><label for="Duration">Montant</label>
                            <input type="radio" name="vtype" class="form-control" value="percent" style="margin-top:20px;width:50px;height:20px;display:inline;margin-right:5px"/><label for="Duration">En pourcentage</label></div>
                        </div>
                        <div class="form-group">
                            <label for="Duration">Montant/pourcentage</label>
                            <input type="text" class="form-control" id="monper" placeholder="Enter field value" >
                        </div>
                        <div class="card-footer">
                            <button type="button" class="btn btn-primary" onclick="handlesubmit()">Sauvez</button>
                            </div>
                    </div>
                </form>
              
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
  
         
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
 

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->


<!-- Page specific script -->
<script>
 $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
  function handlesubmit(){
  
    var vdist = $('#vdist').val();
    var vname = $('#vname').val();
    var vcode = $('#vcode').val();
    var start_date = $('#start_date').val();
    var end_date = $('#end_date').val();
    var vlimit = $('#vlimit').val();
    var vtype = $('input[name="vtype"]').val();
    var monper = $('#monper').val();

 if(!vdist){
  toastr.error("Un distributeur est requis");
  return false;
 }
 if(!vname){
  toastr.error("Le nom du bon d'achat est obligatoire");
  return false;
 }
 if(!vcode){
  toastr.error("Le code de bon d'achat est requis");
  return false;
 }
 if(!start_date){
  toastr.error("La date de début du bon est requise");
  return false;
 }
 if(!end_date){
  toastr.error("La date de fin du bon est requise");
  return false;
 }
 if(!vlimit){
  toastr.error("La date limite du bon d'achat est requise");
  return false;
 }
 if(!vtype){
  toastr.error("La date du type de remise est requise");
  return false;
 }
 if(!monper){
  toastr.error("La date de type montant/pourcentage est requise");
  return false;
 }







   
    var data = {
    
      vdist:vdist,
      vname:vname,
      vcode:vcode,
      start_date:start_date,
      end_date:end_date,
      vlimit:vlimit,
      vtype:vtype,
      monper:monper
            };
            var baseurl="<%= base_url %>";
            var url= baseurl+"savecoupens";
            const requestOptions = {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(data)
        };
        fetch(url, requestOptions)
        .then(response => response.json())
        .then(data => {
            if(data.status){
                toastr.success(data.message);
                window.location.href="/admin-panel/coupens"
            }else{
                toastr.error(data.errmessage);
            }
        })
     }
</script>

